# Probe Settings

## Create Probe Settings for a Target.

> This endpoint creates new probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

```json
{"openapi":"3.0.4","info":{"title":"API","version":"v1.0"},"tags":[],"servers":[{"url":"https://api.probe.splx.ai","description":"EU Server"},{"url":"https://us.api.probe.splx.ai","description":"US Server"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"API Key for authentication","name":"X-Api-Key","in":"header"}},"schemas":{"ProbeSettingCreateRequest":{"required":["config","isEnabled","riskPriority"],"type":"object","properties":{"isEnabled":{"type":"boolean","description":"Enables or disables the Probe."},"riskPriority":{"type":"string","description":"The risk priority of the Probe, e.g., 'LOW', 'MEDIUM', 'HIGH' or 'CRITICAL'.","nullable":true},"config":{"$ref":"#/components/schemas/ProbeConfigRequest"}},"additionalProperties":false,"description":"Request payload to create new Probe Settings for a Target."},"ProbeConfigRequest":{"required":["inputs","probeType"],"type":"object","properties":{"probeType":{"type":"string","description":"The type of the Probe, e.g., 'PREDEFINED', 'CUSTOM' or 'CUSTOM_DATASET'.","nullable":true},"probeId":{"type":"integer","description":"The ID of the Probe, used to identify the specific Probe.","format":"int32","nullable":true},"inputs":{"type":"object","additionalProperties":{},"description":"User input configuration for the Probe, such as custom parameters or settings.","nullable":true}},"additionalProperties":false,"description":"Request payload to configure a Probe."},"ProbeSettingsDto":{"required":["probeCategoryName","probeName","probeType","userInputConfig"],"type":"object","properties":{"probeSettingsId":{"type":"integer","format":"int32"},"probeId":{"type":"integer","format":"int32"},"probeName":{"type":"string","nullable":true},"probeCategoryName":{"type":"string","nullable":true},"probeType":{"type":"string","nullable":true},"userInputConfig":{"type":"object","additionalProperties":{},"nullable":true},"enabled":{"type":"boolean"},"dateCreated":{"type":"string","format":"date-time","nullable":true},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileProbeConfigDto"},"nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/ProbeTagDto"},"nullable":true},"riskPriority":{"$ref":"#/components/schemas/RiskPriorityDto"}},"additionalProperties":false},"FileProbeConfigDto":{"required":["fileId","fileName","link","token"],"type":"object","properties":{"fileName":{"type":"string","nullable":true},"fileId":{"type":"string","nullable":true},"link":{"type":"string","nullable":true},"token":{"type":"string","nullable":true}},"additionalProperties":false},"ProbeTagDto":{"required":["color","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"color":{"type":"string","nullable":true}},"additionalProperties":false},"RiskPriorityDto":{"required":["defaultWeight","isRecommended","weight"],"type":"object","properties":{"weight":{"type":"string","nullable":true},"defaultWeight":{"type":"string","nullable":true},"isRecommended":{"type":"boolean"}},"additionalProperties":false},"ErrorResponse":{"required":["error"],"type":"object","properties":{"error":{"oneOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"},{"$ref":"#/components/schemas/BadRequestErrorDetailsDto"}],"description":"Error object."}},"additionalProperties":false,"description":"Response payload for error."},"ErrorDetailsDto":{"required":["message"],"type":"object","properties":{"message":{"type":"string","description":"Error detailed message."},"code":{"type":"string","description":"Error code."}},"additionalProperties":false},"BadRequestErrorDetailsDto":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"}],"properties":{"validationErrors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Specific validation errors.","nullable":true}},"additionalProperties":false},"UnauthorizedError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"UnauthorizedWithLogoutError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"ForbiddenError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Forbidden access error."},"InternalServerError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Internal Server error."},"NotFoundExampleError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Not Found error."}}},"paths":{"/api/workspaces/{workspaceId}/target/{targetId}/probe-settings":{"post":{"tags":["ProbeSettings"],"summary":"Create Probe Settings for a Target.","description":"This endpoint creates new probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.","parameters":[{"name":"workspaceId","in":"path","description":"Workspace Id.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"targetId","in":"path","description":"Target Id.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ProbeSettingCreateRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingCreateRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingCreateRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ProbeSettingCreateRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingsDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"$ref":"#/components/schemas/UnauthorizedError"},{"$ref":"#/components/schemas/UnauthorizedWithLogoutError"},{"$ref":"#/components/schemas/ForbiddenError"},{"$ref":"#/components/schemas/InternalServerError"},{"$ref":"#/components/schemas/NotFoundExampleError"}],"description":"Response payload for error."}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}}}}
```

## Update Probe Settings for a Target.

> This endpoint updates existing probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

```json
{"openapi":"3.0.4","info":{"title":"API","version":"v1.0"},"tags":[],"servers":[{"url":"https://api.probe.splx.ai","description":"EU Server"},{"url":"https://us.api.probe.splx.ai","description":"US Server"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"API Key for authentication","name":"X-Api-Key","in":"header"}},"schemas":{"ProbeSettingUpdateRequest":{"type":"object","properties":{"isEnabled":{"type":"boolean","description":"Enables or disables the Probe.","nullable":true},"riskPriority":{"type":"string","description":"The risk priority of the Probe, e.g., 'LOW', 'MEDIUM', 'HIGH' or 'CRITICAL'.","nullable":true},"config":{"$ref":"#/components/schemas/ProbeConfigUpdateRequest"}},"additionalProperties":false},"ProbeConfigUpdateRequest":{"required":["inputs"],"type":"object","properties":{"inputs":{"type":"object","additionalProperties":{},"description":"User input configuration for the Probe, such as custom parameters or settings.","nullable":true}},"additionalProperties":false,"description":"Request payload to configure a Probe."},"ProbeSettingsDto":{"required":["probeCategoryName","probeName","probeType","userInputConfig"],"type":"object","properties":{"probeSettingsId":{"type":"integer","format":"int32"},"probeId":{"type":"integer","format":"int32"},"probeName":{"type":"string","nullable":true},"probeCategoryName":{"type":"string","nullable":true},"probeType":{"type":"string","nullable":true},"userInputConfig":{"type":"object","additionalProperties":{},"nullable":true},"enabled":{"type":"boolean"},"dateCreated":{"type":"string","format":"date-time","nullable":true},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileProbeConfigDto"},"nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/ProbeTagDto"},"nullable":true},"riskPriority":{"$ref":"#/components/schemas/RiskPriorityDto"}},"additionalProperties":false},"FileProbeConfigDto":{"required":["fileId","fileName","link","token"],"type":"object","properties":{"fileName":{"type":"string","nullable":true},"fileId":{"type":"string","nullable":true},"link":{"type":"string","nullable":true},"token":{"type":"string","nullable":true}},"additionalProperties":false},"ProbeTagDto":{"required":["color","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"color":{"type":"string","nullable":true}},"additionalProperties":false},"RiskPriorityDto":{"required":["defaultWeight","isRecommended","weight"],"type":"object","properties":{"weight":{"type":"string","nullable":true},"defaultWeight":{"type":"string","nullable":true},"isRecommended":{"type":"boolean"}},"additionalProperties":false},"ErrorResponse":{"required":["error"],"type":"object","properties":{"error":{"oneOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"},{"$ref":"#/components/schemas/BadRequestErrorDetailsDto"}],"description":"Error object."}},"additionalProperties":false,"description":"Response payload for error."},"ErrorDetailsDto":{"required":["message"],"type":"object","properties":{"message":{"type":"string","description":"Error detailed message."},"code":{"type":"string","description":"Error code."}},"additionalProperties":false},"BadRequestErrorDetailsDto":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"}],"properties":{"validationErrors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Specific validation errors.","nullable":true}},"additionalProperties":false},"UnauthorizedError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"UnauthorizedWithLogoutError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"ForbiddenError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Forbidden access error."},"InternalServerError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Internal Server error."},"NotFoundExampleError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Not Found error."}}},"paths":{"/api/workspaces/{workspaceId}/target/{targetId}/probe-settings/{probeSettingsId}":{"patch":{"tags":["ProbeSettings"],"summary":"Update Probe Settings for a Target.","description":"This endpoint updates existing probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.","parameters":[{"name":"workspaceId","in":"path","description":"Workspace Id.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"targetId","in":"path","description":"Target Id.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"probeSettingsId","in":"path","description":"Probe Settings Id.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ProbeSettingUpdateRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingUpdateRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingUpdateRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ProbeSettingUpdateRequest"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProbeSettingsDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"$ref":"#/components/schemas/UnauthorizedError"},{"$ref":"#/components/schemas/UnauthorizedWithLogoutError"},{"$ref":"#/components/schemas/ForbiddenError"},{"$ref":"#/components/schemas/InternalServerError"},{"$ref":"#/components/schemas/NotFoundExampleError"}],"description":"Response payload for error."}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}}}}
```

## Get Probe Settings for a Target.

> This endpoint retrieves the probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.

```json
{"openapi":"3.0.4","info":{"title":"API","version":"v1.0"},"tags":[],"servers":[{"url":"https://api.probe.splx.ai","description":"EU Server"},{"url":"https://us.api.probe.splx.ai","description":"US Server"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"API Key for authentication","name":"X-Api-Key","in":"header"}},"schemas":{"ProbeSettingsDto":{"required":["probeCategoryName","probeName","probeType","userInputConfig"],"type":"object","properties":{"probeSettingsId":{"type":"integer","format":"int32"},"probeId":{"type":"integer","format":"int32"},"probeName":{"type":"string","nullable":true},"probeCategoryName":{"type":"string","nullable":true},"probeType":{"type":"string","nullable":true},"userInputConfig":{"type":"object","additionalProperties":{},"nullable":true},"enabled":{"type":"boolean"},"dateCreated":{"type":"string","format":"date-time","nullable":true},"files":{"type":"array","items":{"$ref":"#/components/schemas/FileProbeConfigDto"},"nullable":true},"tags":{"type":"array","items":{"$ref":"#/components/schemas/ProbeTagDto"},"nullable":true},"riskPriority":{"$ref":"#/components/schemas/RiskPriorityDto"}},"additionalProperties":false},"FileProbeConfigDto":{"required":["fileId","fileName","link","token"],"type":"object","properties":{"fileName":{"type":"string","nullable":true},"fileId":{"type":"string","nullable":true},"link":{"type":"string","nullable":true},"token":{"type":"string","nullable":true}},"additionalProperties":false},"ProbeTagDto":{"required":["color","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"color":{"type":"string","nullable":true}},"additionalProperties":false},"RiskPriorityDto":{"required":["defaultWeight","isRecommended","weight"],"type":"object","properties":{"weight":{"type":"string","nullable":true},"defaultWeight":{"type":"string","nullable":true},"isRecommended":{"type":"boolean"}},"additionalProperties":false},"ErrorResponse":{"required":["error"],"type":"object","properties":{"error":{"oneOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"},{"$ref":"#/components/schemas/BadRequestErrorDetailsDto"}],"description":"Error object."}},"additionalProperties":false,"description":"Response payload for error."},"ErrorDetailsDto":{"required":["message"],"type":"object","properties":{"message":{"type":"string","description":"Error detailed message."},"code":{"type":"string","description":"Error code."}},"additionalProperties":false},"BadRequestErrorDetailsDto":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorDetailsDto"}],"properties":{"validationErrors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"description":"Specific validation errors.","nullable":true}},"additionalProperties":false},"UnauthorizedError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"UnauthorizedWithLogoutError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Unauthorized access error."},"ForbiddenError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Forbidden access error."},"InternalServerError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Internal Server error."},"NotFoundExampleError":{"type":"object","allOf":[{"$ref":"#/components/schemas/ErrorResponse"}],"additionalProperties":false,"description":"Response payload for Not Found error."}}},"paths":{"/api/workspaces/{workspaceId}/target/{targetId}/probe-settings":{"get":{"tags":["ProbeSettings"],"summary":"Get Probe Settings for a Target.","description":"This endpoint retrieves the probe settings for a specific target in a workspace. Probe settings define how probes are configured and used for testing vulnerabilities.","parameters":[{"name":"workspaceId","in":"path","description":"Workspace Id.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"targetId","in":"path","description":"Target Id.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProbeSettingsDto"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ErrorResponse"},{"$ref":"#/components/schemas/UnauthorizedError"},{"$ref":"#/components/schemas/UnauthorizedWithLogoutError"},{"$ref":"#/components/schemas/ForbiddenError"},{"$ref":"#/components/schemas/InternalServerError"},{"$ref":"#/components/schemas/NotFoundExampleError"}],"description":"Response payload for error."}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForbiddenError"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.probe.splx.ai/platform-api/api-reference/probe-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
